#ifndef RADIOGROUP_H
#define RADIOGROUP_H

/********
 *   CLASS: RadioGroup
 *  AUTHOR: Tim Vernum <zodsoft@kagi.com> ; Aug 1999
 * LICENCE: Acknowledged Use Licence
 ********/

#include <SupportDefs.h>

class BRadioButton ;
class RadioGroup
{
	public:
		 RadioGroup( uint32 max ) ;
		~RadioGroup( ) ;
		
		void DeleteButtons( void ) ;

		bool AddButton( BRadioButton * ) ;
		BRadioButton * ButtonAt( uint32 ) ;
		uint32 GetSelection( void ) ;
		bool SetSelection( uint32 ) ;

	private:
	
		uint32 fCount , fMaxCount ;
		BRadioButton ** fButtons ;
} ;

#endif

