#ifndef VERTICALBOX_H
#define VERTICALBOX_H

/* (c) 1999, Tim Vernum
 * Licenced under the Acknowledged Use Licence
 * See Doc/Licence
 */

#include <Box.h>
class VerticalBox : public BBox
{
	typedef BBox inherited ;
	public:
		VerticalBox( BRect, const char *, uint32 = B_FOLLOW_LEFT | B_FOLLOW_TOP,
		            uint32 = B_WILL_DRAW | B_FRAME_EVENTS | B_NAVIGABLE_JUMP ,
					border_style = B_FANCY_BORDER ) ;
		
		void	AddView( BView * ) ;
		void	GetPreferredSize( float *, float * ) ;

	private:
		BPoint fSize ;
} ;

#endif

