#ifndef WBCONFIG_H
#define WBCONFIG_H

#include <Message.h>
#include <Window.h>

namespace WorkBar
{
	class Config
	{
		public:
	
				Config( BWindow * ) ;
			
				void	SetToDefault( BWindow * ) ;
	
				void	Load( BWindow * ) ;
				void	Save() ;
				
				void	Pack( BMessage * ) ;
				void	Unpack( BMessage *, BWindow * ) ;
	
				void 	UpdateFrom( BWindow * ) ;
	
				void 	SavePosition( BWindow * ) ;
				void 	SavePosition( BRect & ) ;

				/* Saveable Config */
				BRect		fCurrentPosition ;
				BMessage	fPositions ;
	
				window_look	fLook ;
				window_feel	fFeel ;
				uint32		fFlags ;
				bool		fHorizontal ;	
	} ;
}

#endif

